/**
 * flashStorage 0.9: JavaScrict|Flash storage - http://www.christophkhouri.com/javascript-flash-storage/
 *
 * flashStorage is (c) 2006 Christoph Khouri and is released under the MIT License:
 * http://www.opensource.org/licenses/mit-license.php
 *
 * VERSION HISTORY
 * 0.9 - First release
 *
 */

function getFlashMovie(movieName) {
    if (navigator.appName.indexOf("Microsoft") != -1) {
        return window[movieName];
    } else {
        return document[movieName];
    }
}

var Storage = {
	flashStorage:null,
	init:function(storageDIV) {
		flashStorage = getFlashMovie(storageDIV);
	},
	set:function(key, value) {
		var result = flashStorage.storageSet(key,value);
		return result;
	},
	get:function(key) {
		var value = flashStorage.storageGet(key);
    	return value;
	},
	remove:function(key) {
		flashStorage.storageRemove(key);
	},
	clear:function() {
		flashStorage.storageClear();
	},
	inUse:function() {
		var amount = flashStorage.storageStorageInUse();
		return amount;
	},
	showSettings:function() {
		flashStorage.storageShowSettings();
	}
};
